PLM之家精品课程培训,联系电话:18301858168 QQ: 939801026

  • NX二次开培训

    NX二次开培训

    适合初级入门或想深入了解二次开发的工程师,本培训结合ufun,NXOpen C++,大量的实例及官方内部的开发技术对于老鸟也值得借鉴!.

    NX CAM二次开发培训报名 NX二次开发基础培训报名
  • PLM之家Catia CAA二次开发培训

    Catia二次开发培训

    Catia二次开发的市场大,这方面开发人才少,难度大。所以只要你掌握了开发,那么潜力巨大,随着时间的积累,你必将有所用武之地!

  • PLM之Teamcenter最佳学习方案

    Teamcenter培训

    用户应用基础培训,管理员基础培训,管理员高级培训,二次开发培训应有尽有,只要你感兴趣肯学习,专业多年经验大师级打造!

  • PLM之Tecnomatix制造领域培训

    Tecnomatix培训

    想了解制造领域数字化吗?想了解工厂,生产线设计吗?数字化双胞胎,工业4.0吗?我们的课程虚位以待!

PLM之家PLMHome-国产软件践行者

[二次开发源码] 教你如何通过NXOpen C++通过session 找part,part找body,body找face...

[复制链接]

2014-3-18 16:55:13 3187 0

admin 发表于 2014-3-18 16:55:13 |阅读模式

admin 楼主

2014-3-18 16:55:13

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有账号?注册

x
The examples show how to access the following relationships:
) W) `; o* R* k$ V2 l
  • NX session → list of parts
  • part → list of solid bodies
  • solid body → list of faces
    solid body → list of edges
  • face → list of associated edges
    face → solid body
  • edge → list of associated faces
    edge → solid body

    2 R- @/ k: ~) r: X" d) ?  V
: m9 H* a4 a0 o0 y" ~' A8 D/ V
Bodies, Faces and Edges - Language Specific Details& v6 o' t/ Y- R, ]/ S
NX Open for C++
NX Open for .NET
NX Open for Java

) }- ~1 P& Z3 l: M' {4 W0 s4 E' x! A% t( _  x
NX Open for C++( N8 `- g: U2 M6 a2 F

& |, r$ }4 {8 i* U. \" p; k7 I2 o4 ^+ G: c
NX session → list of parts
% V0 |4 ^3 Y& n6 [
To access all parts in an NX session, use the Parts property to access the Part Collection.  Then use the collection's iterator to access each part.
  Session *NXSession = Session::GetSession();   ParTCollection *partList = NXSession->Parts();  PartCollection::iterator itr;  for ( itr = partList->begin(); itr != partList->end(); ++itr )  {   processPart(*itr);  }1 C  B6 G- z! F2 M
# f, ^: ]9 [: H; p( t; j
part → list of solid bodies+ O) x$ W9 Y! I1 N: E. m7 t6 d
To access all solid bodies in a part, use the Bodies property to access the Body Collection. Then use the collection's iterator to access each body.
void processPart(Part *partObject){   BodyCollection *bodyList = partObject->Bodies();   BodyCollection::iterator itr;   for (itr = bodyList->begin(); itr != bodyList->end(); ++itr)   {    processBodyFaces(*itr);    processBodyEdges(*itr);   }}
- y/ L2 c3 Z, U+ p( Y( J
5 e3 D6 X" I5 D3 ]5 f/ Zsolid body → list of faces" x: X9 g& c8 X- I
To access the faces of a body use the GetFaces() method to return an array of faces.
void processBodyEdges(Body *bodyObject){    std::vector <Edge *> edgeArray = bodyObject->GetEdges();    for (int inx = 0;  inx < (int)edgeArray.size(); ++inx)          {                        processEdge(edgeArray[inx]);          }}
# ~1 Q; {0 O) f" f; m: S" j& Z! o! G8 R, X$ ~0 V
solid body → list of edges( B$ p/ I6 T4 N# _# E
To access the edges in a body use the GetEdges() method to return an array of edges.
void processBodyEdges(Body *bodyObject){    std::vector <Edge *> edgeArray = bodyObject->GetEdges();    for (int inx = 0;  inx < (int)edgeArray.size(); ++inx)    {    processEdge(edgeArray[inx]);    }}
/ ^0 P' A+ m  f0 U2 _6 }' Q+ H( Y- n% v* U
face → list of associated edges
" W1 k( Q+ o  }face → solid body
7 K$ Z; K( K6 N6 P/ B
To access the edges for a face use the GetEdges() method to return an array of edges. To access the face's body use the GetBody() method.
void processFace(Face *faceObject){        std::vector<Edge *> edgeArray = faceObject->GetEdges();        for (int inx = 0;  inx < (int)edgeArray.size(); ++inx)        {                processEdge(edgeArray[inx]);        }        Body *bodyOfFace = faceObject->GetBody();}
; X9 x6 z( s" g5 _. y: t  w8 h) ^# @, ~0 |9 m9 ~
edge → list of associated faces
* ?4 D2 z8 r  M! Z5 @. j0 cedge → solid body2 a: {% d  p; g  A9 A; I: r
To access the faces associated with and edge use the GetFaces() method to return an array of faces. To access the edge's body use the GetBody() method.
void processEdge(Edge *edgeObject){        std::vector<Face *> faceArray = edgeObject->GetFaces();        for (int inx = 0;  inx < (int)faceArray.size(); ++inx)        {                processEdgeFace(faceArray[inx]);        }        Body *bodyOfEdge = edgeObject->GetBody();}
/ @3 p/ Z; f; t+ j7 D9 m9 Q4 q
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部

  • x
    温馨提示

    本网站(plmhome.com)为PLM之家工业软件学习官网站

    展示的视频材料全部免费,需要高清和特殊技术支持请联系 QQ: 939801026

    PLM之家NX CAM二次开发专题模块培训报名开始啦

    我知道了